Bug 1891892 - The windows oc.exe binary does not have version metadata
Summary: The windows oc.exe binary does not have version metadata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.4
Hardware: x86_64
OS: Windows
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On: 1891555
Blocks: 1922585
TreeView+ depends on / blocked
 
Reported: 2020-10-27 15:40 UTC by OpenShift BugZilla Robot
Modified: 2021-02-08 13:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Metadata providing version information were not produced during build process. Consequence: No version information was present on windows binaries. Fix: Generate proper windows version information to be consumed during build process by the go compiler. Result: Version information is available on windows binaries.
Clone Of:
Environment:
Last Closed: 2021-02-08 13:50:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
oc detail (164.93 KB, image/png)
2021-01-25 06:44 UTC, zhou ying
no flags Details
detail (172.39 KB, image/png)
2021-02-01 05:14 UTC, zhou ying
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 630 0 None closed [release-4.6] Bug 1891892: Create Windows version information 2021-02-05 18:31:46 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:09 UTC

Description OpenShift BugZilla Robot 2020-10-27 15:40:42 UTC
+++ This bug was initially created as a clone of Bug #1891555 +++

Created attachment 1724192 [details]
screenshot of the lack of version info on the oc.exe windows binary

Description of problem:
The oc.exe tool for windows does not have version meta-data imbeded in it. This makes automated deployment/management of it very difficult in an enterprise setting.

Version-Release number of selected component (if applicable):

4.4.23

How reproducible:

Every time

Steps to Reproduce:
1. Download windows tools
2. install
3. right click on oc.exe, look in the details tab

Actual results:

file and product version information is blank (see attached screenshot)

Expected results:

file and product version to be populated with data that can be used to Windows software deployment tooling.

Additional info:

--- Additional comment from yselkowi@redhat.com on 2020-10-26 16:20:17 UTC ---

That's what goversioninfo is supposed to be for.  It seems the build infrastructure in origin used to handle that, specifically:

https://github.com/openshift/origin/blob/master/hack/lib/constants.sh#L198-L259
https://github.com/openshift/origin/blob/master/hack/lib/build/binaries.sh#L218-L221
https://github.com/openshift/origin/blob/master/hack/lib/build/binaries.sh#L238-L240

This appears not have been moved over to the separate oc repo when it was split out.

Comment 1 Maciej Szulik 2020-11-13 10:55:27 UTC
This is waiting in the queue for its turn.

Comment 2 Maciej Szulik 2020-12-04 16:20:33 UTC
PR in the queue.

Comment 3 Maciej Szulik 2021-01-15 11:49:29 UTC
PR in the queue.

Comment 4 zhou ying 2021-01-25 02:05:44 UTC
Build the oc with the PR , could see the file and product version to be populated with SOURCE_GIT_TAG=4.6.99.

Comment 5 zhou ying 2021-01-25 06:44:49 UTC
Created attachment 1750399 [details]
oc detail

Comment 7 zhou ying 2021-02-01 05:14:46 UTC
Created attachment 1752757 [details]
detail

Comment 8 zhou ying 2021-02-01 05:16:35 UTC
Download the oc from payload: https://openshift-release-artifacts.apps.ci.l2s4.p1.openshiftapps.com/4.6.0-0.nightly-2021-01-30-211400/, could see the oc version like https://bugzilla.redhat.com/show_bug.cgi?id=1891892#c7. will move to verified status.

Comment 11 errata-xmlrpc 2021-02-08 13:50:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.